Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianSetParameter

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.mondrian.MondrianSetParameter

All Implemented Interfaces:
  Extension, SetParameter

    public class MondrianSetParameter

extends ExtensionSupport
implements SetParameter

set parameter to query

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.SetParameter
`ID`

Constructor Summary
`MondrianSetParameter()`

Method Summary
`java.util.Map` | `getDisplayValues()` FIXME - this crashes if the parameter contains an expression like "LastChild" or "DefaultMember".
`boolean` | `getHasDisplayValues()` Returns true if the query has one or more parameters.
`java.lang.String[]` | `getParameterNames()` return the names of all defined parameters in this query
`void` | `setParameter(java.lang.String paramName, Expression expr)` set parameter value to mondrian query

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### MondrianSetParameter

    public MondrianSetParameter()

Method Detail

### setParameter

    public void setParameter(java.lang.String paramName,
                             Expression expr)

  set parameter value to mondrian query

  Specified by:
    `setParameter` in interface `SetParameter`
  Parameters:
    `paramName` - name of the parameter in the MDX query
    `expr` - the value of the parameter, e.g. a member
  See Also:
    `SetParameter.setParameter(String, Expression)`

### getDisplayValues

    public java.util.Map getDisplayValues()

  FIXME - this crashes if the parameter contains an expression like "LastChild" or "DefaultMember".

  Specified by:
    `getDisplayValues` in interface `SetParameter`
  Returns:
    Map containing parameter names (= keys) and strings to display value (= value)
  See Also:
    `SetParameter.getDisplayValues()`

### getParameterNames

    public java.lang.String[] getParameterNames()

  Description copied from interface: `SetParameter`
  return the names of all defined parameters in this query

  Specified by:
    `getParameterNames` in interface `SetParameter`
  Returns:
    the names of all defined parameters in this query

### getHasDisplayValues

    public boolean getHasDisplayValues()

  Returns true if the query has one or more parameters. This does not evaluate the parameters.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD